Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstruction.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstruction.designer.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstruction.designer.cs	(revision 95)
@@ -1556,8 +1579,8 @@
             // 
             // Column4
             // 
-            dataGridViewCellStyle40.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.Column4.DefaultCellStyle = dataGridViewCellStyle40;
+            dataGridViewCellStyle19.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column4.DefaultCellStyle = dataGridViewCellStyle19;
             this.Column4.HeaderText = "当日";
             this.Column4.Name = "Column4";
             this.Column4.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -1566,8 +1589,8 @@
             // 
             // Column5
             // 
-            dataGridViewCellStyle41.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.Column5.DefaultCellStyle = dataGridViewCellStyle41;
+            dataGridViewCellStyle20.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle20;
             this.Column5.HeaderText = "累計";
             this.Column5.Name = "Column5";
             this.Column5.ReadOnly = true;
@@ -1593,8 +1616,8 @@
             // 
             // Column8
             // 
-            dataGridViewCellStyle42.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.Column8.DefaultCellStyle = dataGridViewCellStyle42;
+            dataGridViewCellStyle21.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column8.DefaultCellStyle = dataGridViewCellStyle21;
             this.Column8.HeaderText = "人員";
             this.Column8.Name = "Column8";
             this.Column8.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -1732,17 +1755,6 @@
             this.btnFinal.UseVisualStyleBackColor = false;
             this.btnFinal.Click += new System.EventHandler(this.btnFinal_Click);
             // 
-            // panel3
-            // 
-            this.panel3.BackColor = System.Drawing.Color.White;
-            this.panel3.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.panel3.Controls.Add(this.label6);
-            this.panel3.Controls.Add(this.btnSubJob);
-            this.panel3.Location = new System.Drawing.Point(53, 10);
-            this.panel3.Name = "panel3";
-            this.panel3.Size = new System.Drawing.Size(200, 40);
-            this.panel3.TabIndex = 76;
-            // 
             // FrmDRConstruction
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -1782,6 +1794,7 @@
             this.pnlApprovalButton.ResumeLayout(false);
             this.pnlBase.ResumeLayout(false);
             this.pnlBase.PerformLayout();
+            this.panel3.ResumeLayout(false);
             ((System.ComponentModel.ISupportInitialize)(this.dataGridViewEX4)).EndInit();
             ((System.ComponentModel.ISupportInitialize)(this.dataGridViewEX3)).EndInit();
             ((System.ComponentModel.ISupportInitialize)(this.dataGridViewEX2)).EndInit();
@@ -1788,7 +1801,6 @@
             ((System.ComponentModel.ISupportInitialize)(this.dataGridViewEX1)).EndInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).EndInit();
             this.panel2.ResumeLayout(false);
-            this.panel3.ResumeLayout(false);
             this.ResumeLayout(false);
 
         }
@@ -1911,5 +1923,6 @@
         private System.Windows.Forms.Button btnFinal;
         private System.Windows.Forms.Button btnSubJob;
         private System.Windows.Forms.Panel panel3;
+        private System.Windows.Forms.Label label20;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstructionAuxiliary.cs	(revision 95)
@@ -883,17 +883,20 @@
                 ArrayList arList = new ArrayList();
                 if (!DetailDB.ExecuteReader(strSQL, ref arList) || arList.Count == 0)
                 {
-                    // データ無は空行を表示する
-                    dgv.Rows.Add(s_MinRowCountGrid[(int)DataGridDefine.Detail]);
-                    // 合計表示
-                    lblGrid1Total1.Text = "0.0";
-                    double work = GetTotalHeadCount();
-                    if (work==0)
-                        lblGrid1Total2.Text = work.ToString("#,#.#");
-                    else
-                        lblGrid1Total2.Text = work.ToString("#,0.0");
-                    lblGrid1Total3.Text = "0.0";
-                    return;
+                    if (!MaxDateCheck(ref arList))
+                    {
+                        // データ無は空行を表示する
+                        dgv.Rows.Add(s_MinRowCountGrid[(int)DataGridDefine.Detail]);
+                        // 合計表示
+                        lblGrid1Total1.Text = "0.0";
+                        double work = GetTotalHeadCount();
+                        if (work == 0)
+                            lblGrid1Total2.Text = work.ToString("#,#.#");
+                        else
+                            lblGrid1Total2.Text = work.ToString("#,0.0");
+                        lblGrid1Total3.Text = "0.0";
+                        return;
+                    }
                 }
 
                 // グリッド表示
@@ -961,6 +964,50 @@
         }
         #endregion
 
+        #region 現在指定日がデータの最終日より大きいかをチェックする
+        /// <summary>
+        /// 現在指定日がデータの最終日より大きいかをチェックする
+        /// </summary>
+        /// <returns></returns>
+        private bool MaxDateCheck(ref ArrayList DispList)
+        {
+            IODailyDataDetail DetailDB = new IODailyDataDetail();
+            try
+            {
+                DateTime MaxDate = GetFPNDataDate((int)ReadData.Final);
+                if (MaxDate > dTPCreateDate.Value) return false;
+
+                // 明細データ取得
+                string strSQL = "SELECT A.JOBCATEGORYCODE";
+                strSQL += ", B.JOBCATEGORYNAME";
+                strSQL += ", A.COMPANYCODE";
+                strSQL += ", C.COMPANYNAME";
+                strSQL += ", A.NEXTDAYHEADCOUNT";
+                strSQL += ", (A.TOTALHEADCOUNT + A.NEXTDAYHEADCOUNT)";
+                strSQL += ", A.NEXTDAYWORK";
+                strSQL += ", A.NEXTDAYWORK";
+                strSQL += ", 0";
+                strSQL += " FROM DAILYDATADETAIL A";
+                strSQL += " LEFT JOIN SUBCONTRACTORJOBCATEGORY B ON A.JOBCATEGORYCODE = B.JOBCATEGORYCODE";
+                strSQL += " LEFT JOIN SUBCONTRACTORMASTER C ON A.COMPANYCODE = C.COMPANYCODE";
+                strSQL += DetailDB.CreatePrimarykeyString(m_PersonCode, MaxDate, m_ConstructionCode, 0);
+                strSQL += " ORDER BY A.SEQNO";
+                if (!DetailDB.ExecuteReader(strSQL, ref DispList) || DispList.Count == 0) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                DetailDB.close(); DetailDB = null;
+            }
+        }
+        #endregion
+
         #region 作業内容グリッドの合計を計算する
         /// <summary>
         /// 作業内容グリッドの合計を計算する
@@ -1856,8 +1903,16 @@
                 bAns = DailyDataCheck();
                 bRet &= bAns;
 
+                bool[] bDailyDataField = new bool[4];
+                Array.Clear(bDailyDataField, 0, bDailyDataField.Length);
+                CommonMotions.chgBackColor(m_DgvArray[4].Rows[0].Cells[(int)DispGridColumn5.ContentsText], true);
+                CommonMotions.chgBackColor(m_DgvArray[4].Rows[3].Cells[(int)DispGridColumn5.ContentsText], true);
+                CommonMotions.chgBackColor(m_DgvArray[4].Rows[6].Cells[(int)DispGridColumn5.ContentsText], true);
+                CommonMotions.chgBackColor(m_DgvArray[4].Rows[9].Cells[(int)DispGridColumn5.ContentsText], true);
+
                 foreach (DataGridView dgv in m_DgvArray)
                 {
+                    ErrorRow = 0;
                     // 明細チェック
                     foreach (DataGridViewRow wrkRow in dgv.Rows)
                     {
@@ -1869,6 +1924,7 @@
                         else if (dgv == m_DgvArray[(int)DataGridDefine.Vehicles])
                         {
                             bAns = DailyDataVehiclesCheck(wrkRow, ref ErrorRow);
+                            if (ErrorRow != 0) dgvAllDisplay.FirstDisplayedScrollingRowIndex = ErrorRow;
                         }
                         else if (dgv == m_DgvArray[(int)DataGridDefine.Materials])
                         {
@@ -1880,11 +1936,14 @@
                         }
                         else if (dgv == m_DgvArray[(int)DataGridDefine.Field])
                         {
-                            bAns = DailyDataFieldCheck(wrkRow, ref ErrorRow);
+                            bAns = DailyDataFieldCheck(wrkRow, ref ErrorRow, ref bDailyDataField);
                         }
                         bRet &= bAns;
                     }
+                    // 最後のエラー行へ移動する
+                    if (ErrorRow != 0) dgv.FirstDisplayedScrollingRowIndex = ErrorRow;
                 }
+
                 if (!bRet)
                 {
                     MessageBox.Show("入力エラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
@@ -1891,9 +1950,24 @@
                     return false;
                 }
 
-                // 最後のエラー行へ移動する
-                dgvAllDisplay.FirstDisplayedScrollingRowIndex = ErrorRow;
+                int fieldcnt = 0;
+                for (int i = 0; i < bDailyDataField.Length; i++)
+                {
+                    if (bDailyDataField[i]) fieldcnt++;
+                }
+                if (fieldcnt < 4)
+                {
+                    dataGridViewEX4.Focus();
+                    CommonMotions.chgBackColor(m_DgvArray[4].Rows[0].Cells[(int)DispGridColumn5.ContentsText], false);
+                    CommonMotions.chgBackColor(m_DgvArray[4].Rows[3].Cells[(int)DispGridColumn5.ContentsText], false);
+                    CommonMotions.chgBackColor(m_DgvArray[4].Rows[6].Cells[(int)DispGridColumn5.ContentsText], false);
+                    CommonMotions.chgBackColor(m_DgvArray[4].Rows[9].Cells[(int)DispGridColumn5.ContentsText], false);
 
+                    MessageBox.Show("現場巡回は必須入力です、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                    return false;
+                }
+                
+                
                 return true;
             }
             catch (System.Exception ex)
@@ -2036,6 +2110,8 @@
                         bAns = false;
                     }
                 }
+                if (!bRet) ErrorRow = wrkRow.Index;
+                
                 // 背景色変更
                 CommonMotions.chgBackColor(wrkRow.Cells[(int)DispGridColumn1.NextdayHeadCount], bAns);
                 bRet &= bAns;
@@ -2122,6 +2198,7 @@
                 CommonMotions.chgBackColor(wrkRow.Cells[(int)DispGridColumn2.EndWorkingTime], bAns);
                 bRet &= bAns;
 
+                if (!bRet) ErrorRow = wrkRow.Index;
                 return bRet;
             }
             catch (System.Exception ex)
@@ -2191,6 +2268,7 @@
                 CommonMotions.chgBackColor(wrkRow.Cells[(int)DispGridColumn3.QualityControl], bAns);
                 bRet &= bAns;
 
+                if (!bRet) ErrorRow = wrkRow.Index;
                 return bRet;
             }
             catch (System.Exception ex)
@@ -2233,6 +2311,7 @@
                 CommonMotions.chgBackColor(wrkRow.Cells[(int)DispGridColumn4.ContentsText], bAns);
                 bRet &= bAns;
 
+                if (!bRet) ErrorRow = wrkRow.Index;
                 return bRet;
             }
             catch (System.Exception ex)
@@ -2248,11 +2327,55 @@
         /// 日報データ(現場巡回)チェック
         /// </summary>
         /// <returns></returns>
-        private bool DailyDataFieldCheck(DataGridViewRow wrkRow, ref int ErrorRow)
+        private bool DailyDataFieldCheck(DataGridViewRow wrkRow, ref int ErrorRow, ref bool[] bDailyDataField)
         {
             try
             {
-                return true;
+                bool bRet = true;
+                bool bAns = true;
+                int rowcnt = wrkRow.Index;
+
+                string strtime = CommonMotions.cnvString(wrkRow.Cells[(int)DispGridColumn5.PatrolTime].Value);
+                string strcomment = CommonMotions.cnvString(wrkRow.Cells[(int)DispGridColumn5.ContentsText].Value);
+
+                CommonMotions.chgBackColor(wrkRow.Cells[(int)DispGridColumn5.PatrolTime], bAns);
+                CommonMotions.chgBackColor(wrkRow.Cells[(int)DispGridColumn5.ContentsText], bAns);
+
+                if (strtime.Length == 0 && strcomment.Length == 0) return true;
+
+                if (strtime.Length != 0)
+                {
+                    // 巡回時間チェック
+                    bAns = CommonMotions.chkDate(strtime);
+                    // 背景色変更
+                    CommonMotions.chgBackColor(wrkRow.Cells[(int)DispGridColumn5.PatrolTime], bAns);
+                    bRet &= bAns;
+                }
+
+                // 巡回状況チェック
+                bAns = CommonMotions.chkStringLength(strcomment, 200, true);
+                // 背景色変更
+                CommonMotions.chgBackColor(wrkRow.Cells[(int)DispGridColumn5.ContentsText], bAns);
+                bRet &= bAns;
+
+                if (0 <= rowcnt && rowcnt < 3)
+                {
+                    if (strcomment.Length != 0) bDailyDataField[0] = true;
+                }
+                else if (3 <= rowcnt && rowcnt < 6)
+                {
+                    if (strcomment.Length != 0) bDailyDataField[1] = true;
+                }
+                else if (6 <= rowcnt && rowcnt < 9)
+                {
+                    if (strcomment.Length != 0) bDailyDataField[2] = true;
+                }
+                else if (9 <= rowcnt && rowcnt < 12)
+                {
+                    if (strcomment.Length != 0) bDailyDataField[3] = true;
+                }
+
+                return bRet;
             }
             catch (System.Exception ex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 94)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 95)
@@ -197,9 +197,9 @@
                 strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.SOURCECODE";
                 strSQL += string.Format(" AND B.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
 
-                strSQL += " LEFT JOIN PURCHASEORDERDETAIL E ON E.CONSTRUCTIONCODE = A.SOURCECODE";
+                strSQL += " LEFT JOIN PURCHASEORDERDETAIL E ON E.CONSTRUCTIONCODE = A.SOURCECODE AND (E.SOURCELINECNT = A.LINECOUNT OR E.SOURCELINECNT = 0)";
 
-                strSQL += " LEFT JOIN PURCHASEORDER F ON F.CONSTRUCTIONCODE = E.CONSTRUCTIONCODE AND F.COMPANYCODE = A.COMPANYCODE AND F.ORDERPRICE like A.EXECUTIONAMOUNT";
+                strSQL += " LEFT JOIN PURCHASEORDER F ON F.CONSTRUCTIONCODE = E.CONSTRUCTIONCODE AND F.COMPANYCODE = A.COMPANYCODE";
 
                 strSQL += " LEFT JOIN PROCESSAPPROVALDETAIL G ON G.CONSTRUCTIONCODE = F.CONSTRUCTIONCODE AND G.APPROVALCODE = 4 AND G.LINKCODE = F.SEQNO";
 
@@ -511,38 +511,35 @@
                 {
                     object[] ObjRec = (object[])m_OrderFrm.DetailList[ix];
 
-                    foreach (DataGridViewRow ChkRow in dgv.Rows)
-                    {
-                        // 画面上でデータを探す
-                        if (CommonMotions.cnvInt(ObjRec[(int)ReadDBColumn.SourceCode])
-                            != CommonMotions.cnvInt(ChkRow.Cells[(int)GridColumn.SourceCode].Value)) continue;
+                    DataGridViewRow ChkRow = dgv.Rows[ix];
 
-                        if (CommonMotions.cnvInt(ObjRec[(int)ReadDBColumn.CompanyCode])
-                            != CommonMotions.cnvInt(ChkRow.Cells[(int)GridColumn.CompanyCode].Value)) continue;
+                    if (CommonMotions.cnvInt(ObjRec[(int)ReadDBColumn.CompanyCode])
+                        != CommonMotions.cnvInt(ChkRow.Cells[(int)GridColumn.CompanyCode].Value)) continue;
 
-                        // 作成対象外のチェック
-                        if (!CommonMotions.chkCellBlank(ChkRow.Cells[(int)GridColumn.NotCreate].Value))
-                        {
-                            if ((bool)ChkRow.Cells[(int)GridColumn.NotCreate].Value)
-                            {
-                                // 内部データ削除（親フォームのプロパティを編集する）
-                                m_OrderFrm.DetailList.RemoveAt(ix);
-                                break;
-                            }
-                        }
+                    // 作成対象外のチェック 内部データ削除（親フォームのプロパティを編集する）
+                    if (CommonMotions.chkCellBlank(ChkRow.Cells[(int)GridColumn.NotCreate].Value))
+                    {
+                        m_OrderFrm.DetailList.RemoveAt(ix);
+                        continue;
+                    }
+                    if ((bool)ChkRow.Cells[(int)GridColumn.NotCreate].Value)
+                    {
+                        m_OrderFrm.DetailList.RemoveAt(ix);
+                        continue;
+                    }
 
-                        // 選択フラグのチェック
-                        if (!CommonMotions.chkCellBlank(ChkRow.Cells[(int)GridColumn.SelectExec].Value))
-                        {
-                            if (!(bool)ChkRow.Cells[(int)GridColumn.SelectExec].Value)
-                            {
-                                // 内部データ削除（親フォームのプロパティを編集する）
-                                m_OrderFrm.DetailList.RemoveAt(ix);
-                                break;
-                            }
-                        }
-                        break;
+                    // 選択フラグのチェック
+                    if (CommonMotions.chkCellBlank(ChkRow.Cells[(int)GridColumn.SelectExec].Value))
+                    {
+                        m_OrderFrm.DetailList.RemoveAt(ix);
+                        continue;
                     }
+                    if (!(bool)ChkRow.Cells[(int)GridColumn.SelectExec].Value)
+                    {
+                        // 内部データ削除（親フォームのプロパティを編集する）
+                        m_OrderFrm.DetailList.RemoveAt(ix);
+                        continue;
+                    }
                 }
             }
             catch (Exception ex)
